<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="donerObject"
            type="com.example.bloodbank.donerList.data.User" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">


        <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/recyclerViewContainerMargin"
            android:layout_marginRight="@dimen/recyclerViewContainerMargin"
            android:orientation="horizontal"
            android:paddingTop="15dp"
            android:paddingBottom="15dp">


            <TextView
                style="@style/blood_group_selection_text_style"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:background="@color/blood_group_background_color"
                android:gravity="center"
                android:padding="@dimen/margin_5"
                android:text='@{donerObject.bloodGroup}'
                android:textColor="@color/primaryColor" />

            <LinearLayout

                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingLeft="@dimen/margin_10">

                <TextView

                    style="@style/rv_username_text_style"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical"
                    android:text='@{donerObject.username}' />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/margin_5"
                        android:layout_marginRight="@dimen/margin_10"
                        android:layout_weight="0.5"
                        android:orientation="vertical">

                        <TextView
                            style="@style/hintTextStyle"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="Last Donation"
                            android:textSize="10sp" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/margin_5"
                            android:fontFamily="@font/heebo"
                            android:text='@{donerObject.lastDonated}'
                            android:textColor="@color/black"
                            android:textSize="12sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/margin_10"
                        android:layout_marginTop="@dimen/margin_5"
                        android:layout_weight="0.5"
                        android:orientation="vertical">

                        <TextView
                            style="@style/hintTextStyle"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="Location"
                            android:textSize="10sp" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/margin_5"
                            android:fontFamily="@font/heebo"
                            android:text='@{donerObject.location}'
                            android:textColor="@color/black"
                            android:textSize="12sp" />
                    </LinearLayout>


                </LinearLayout>


                <Button
                    android:id="@+id/btn_request"
                    style="@style/buttonTextStyle"
                    android:layout_width="150dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_5"
                    android:drawableLeft="@drawable/ic_person_request_icon"
                    android:fontFamily="@font/heebo_bold"
                    android:gravity="center"
                    android:text="Request for Blood"
                    android:textSize="10sp" />


            </LinearLayout>


        </LinearLayout>

        <View
            android:layout_marginLeft="@dimen/recyclerViewContainerMargin"
            android:layout_marginRight="@dimen/recyclerViewContainerMargin"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/shimmer_background_color"/>
    </LinearLayout>
</layout>